## darcs 2.12.5

=== Makefile ===
#-o vim: set noexpandtab:
-include user-settings.inc
include cabal-make.inc

## darcs 2.3.0

=== debian/changelog ===
darcs (2.3.0-3) unstable; urgency=low

  * Fix FTBFS on arches without ghc -threaded (Closes: #541848).
  * Cabal ignores bash completion, so install it via dh.
  * Migrate to dpkg source format 3.0 (quilt).
  * Bump Standards-Version to 3.8.3 (no changes needed).

 -- Trent W. Buck <trentbuck@gmail.com>  Mon, 16 Nov 2009 16:57:18 +1100

darcs (2.3.0-2) unstable; urgency=low

  * Avoid gratuitous use of sensible-utils (Closes: #541843).

 -- Trent W. Buck <trentbuck@gmail.com>  Mon, 17 Aug 2009 14:20:36 +1000

darcs (2.3.0-1) unstable; urgency=low

  * New upstream release.
  * Use sensible-editor and sensible-pager (Closes: #501101).
  * Use the "default-mta" alias to appease Ubuntu maintainers.
  * Bump curl dependency to 7.19.1 and manually activate pipelining.
  * Remove useless hyperlink sentence from Description (Closes: #522564).
  * Disable .doc-base, since PDF/HTML manual is broken upstream.
  * Bump Standards-Version to 3.8.2.
    * Section changed (was "devel", now "vcs").

 -- Trent W. Buck <trentbuck@gmail.com>  Mon, 17 Aug 2009 00:40:53 +1000

darcs (2.2.0-1) unstable; urgency=low

  * New upstream release.
  * Avoid curl-openssl (Closes: RU176).
  * Use dh(1) instead of CDBS.
  * Don't rebuild upstream's copy (PDF and HTML) of the manual.

 -- Trent W. Buck <trentbuck@gmail.com>  Thu, 22 Jan 2009 18:14:38 +1100

darcs (2.1.0-1) unstable; urgency=low

  * New upstream release.
    * Manpage patch included upstream, so remove patch support.
      It can be re-added later if necessary.
    * Warn user when remote host has darcs1 (Closes: #494109).
    * fix fix_filepath to work with --repodir (Closes: #458629).
    * darcs trackdown --set-scripts-executable (Closes: #462917).
  * Abolish darcs-server binary package
    (Closes: #498542, #489131, #339770, #486192).
  * Symlink identical HTML files (Closes: #491875).
  * Adopt "standard" copyright file format.
    Note that this patch only changes the format!  The
    copyright and license information still needs to be
    checked against current releases of Darcs; corrections
    will be a separate patch.
  * Correctly munge prerelease version strings.
  * control:
    * fix VCS URL.
    * enable DMs listed in Uploaders to upload directly.  For more
      information, see http://wiki.debian.org/Maintainers
    * refactor description field based on darcs homepage.
    * bump Standards-Version to 3.8.0.
      Add a Homepage field.
      Hard-wrap long fields (Uploads, Build-Depends) for readability.
    * Bump debhelper dependency so debian/clean works.

 -- Trent W. Buck <trentbuck@gmail.com>  Sun, 19 Oct 2008 13:48:20 +1100

darcs (2.0.2-3) unstable; urgency=low

  * Bump ghc6 build-depends to >= 6.8.2-7 (Closes: #500563).

 -- Petr Rockai <mornfall@debian.org>  Mon, 29 Sep 2008 13:48:32 +0200

darcs (2.0.2-2) unstable; urgency=low

  * Add a rudimentary debian/README.source explaining how to build the package.
  * Upload to unstable.

 -- Petr Rockai <mornfall@debian.org>  Sat, 26 Jul 2008 14:06:14 +0200

darcs (2.0.2-1) experimental; urgency=low

  * New upstream release.

 -- Petr Rockai <mornfall@debian.org>  Mon, 14 Jul 2008 01:00:04 +0200

darcs (2.0.0-5) unstable; urgency=low

  * Work around #481592 (Closes: #485631).
    We don't want this to keep Darcs2 out of Lenny!
  * Add /var/cache/darcs to darcs-server (Closes: LP52199).
    Apparently Ubuntu can automatically sync darcs now.

 -- Trent W. Buck <trentbuck@gmail.com>  Sat, 14 Jun 2008 15:35:37 +1000

darcs (2.0.0-4) unstable; urgency=low

  * Adopt CDBS (Closes: #484375).
    * Don't install intermediary DVI and PostScript doc formats.
    * Add horrible --datadir=/usr/share (is this necessary?)
  * Drop paranoiac minimum versions from GHC dev packages to appease
    lintian.
  * Fix doc-base section to appease lintian.
  * Indent initialize's docstring to avoid manpage render warning:
    `initialize'' not defined (probable missing space after `in')
  * Extend upstream's distclean target to include parts of
    maintainer-clean, to appease dpkg-source -b in rebuilds.
  * Whoops, I lost the 1.0.9-1.1 changes.  The only change that I
    didn't already re-invent in 2.0.0-1 was related to the openFd bug,
    which upstream fixed in darcs 2 by looking for fdToHandle (Closes:
    #470376).  Closing it here convinces the Debian BTS that this bug
    really *is* fixed in Lenny.
  * Change build dependency "tex4ht | latex2html" back to just
    "tex4ht", since the latter's upstream is quite old, and I've never
    tested it.

 -- Trent W. Buck <trentbuck@gmail.com>  Thu, 05 Jun 2008 14:24:16 +1000

darcs (2.0.0-3) unstable; urgency=low

  * Flip maintainer to Trent, add Isaac and myself to Uploaders.
  * Fix the clean target in debian/rules to produce a clean diff.
  * Remove unmaintained debian/NEWS.upstream.
  * Upload to unstable.

 -- Petr Rockai <mornfall@debian.org>  Wed, 28 May 2008 11:58:22 +0200

darcs (2.0.0-2) unstable; urgency=low

  * Refer to texlive instead of tetex (vastly reducing build deps).
  * Enable curl pipelining, because it sounds cool.

 -- Trent W. Buck <trentbuck@gmail.com>  Wed, 09 Apr 2008 16:37:59 +1000

darcs (2.0.0-1) unstable; urgency=low

  * New upstream release (Closes: 456618).

    - Ignores .hg (Mercurial) metadata by default (Closes: #447100).
    - Ignores Waf metadata by default (Closes: #457656).
    - Doesn't silently overwrite unadded files when applying/pulling a
      patch that adds the same file (Closes: #394721).
    - Can reuse ssh connections more (Closes: #466452).

  * Bump curl dependency to libcurl4-dev.
  * Delete semantic.cache's (Closes: 457259).
  * debian/watch: update format (Closes: #457258).
  * Remove some patches to configure, since they look like noops.
    The file is in debian/patches/obsolete in case anybody complains.

 -- Trent W. Buck <trentbuck@gmail.com>  Wed, 09 Apr 2008 13:37:59 +1000

darcs (1.0.9-1) unstable; urgency=low

  * New upstream release (Closes: 430950).


=== debian/control ===
Source: darcs
Section: vcs
Priority: optional
Maintainer: Trent W. Buck <trentbuck@gmail.com>
Uploaders: Isaac Jones <ijones@debian.org>,
 Petr Rockai <mornfall@debian.org>
DM-Upload-Allowed: yes
# I don't specify lower bounds that can't be violated in Debian.
# Note that ghc6 (>= 6.10.4) excludes Lenny libs built against 6.8.
Build-Depends: debhelper (>= 7.0.50), quilt, ghc6 (>= 6.10.4),
 bash-completion (>= 1:1.1),
 libcurl4-gnutls-dev (>= 7.19.1),
 libghc6-hashed-storage-dev,
 libghc6-haskeline-dev,
 libghc6-html-dev,
 libghc6-http-dev,
 libghc6-mmap-dev,
 libghc6-mtl-dev,
 libghc6-network-dev,
 libghc6-parsec2-dev,
 libghc6-regex-compat-dev,
 libghc6-terminfo-dev,
 libghc6-utf8-string-dev,
 libghc6-zlib-dev
Homepage: http://darcs.net/
Vcs-Darcs: http://repos.mornfall.net/darcs/debian
Standards-Version: 3.8.3

Package: darcs
Architecture: any
Depends: ${shlibs:Depends}
Recommends: default-mta | mail-transport-agent
Description: a distributed, interactive, smart revision control system
 Darcs is a free, open source revision control system.  It is:
 .
  * Distributed: Every user has access to the full command set,
    removing boundaries between server and client or committer and
    non-committers.
  * Interactive: Darcs is easy to learn and efficient to use because
    it asks you questions in response to simple commands, giving you
    choices in your work flow. You can choose to record one change in
    a file, while ignoring another. As you update from upstream, you
    can review each patch name, even the full "diff" for interesting
    patches.
  * Smart: Originally developed by physicist David Roundy, darcs is
    based on a unique algebra of patches. This smartness lets you
    respond to changing demands in ways that would otherwise not be
    possible.

=== debian/rules ===
#!/usr/bin/make -f
# Work around #481592 (Closes: #485631).  Remove when #481592 closes!
CFLAGS := $(filter-out -g,$(CFLAGS))

%:
	+dh --with bash-completion $@
override_dh_auto_build: Setup
	./Setup build
override_dh_auto_clean: Setup
	./Setup clean
override_dh_auto_configure: Setup
	./Setup configure --prefix=/usr -fcurl-pipelining --constraint=parsec\<3 $(if $(wildcard /usr/lib/*/libHSrts_thr.a),,-f-threaded)
override_dh_auto_install: Setup
	./Setup copy --destdir=$(CURDIR)/debian/darcs
override_dh_auto_test: Setup
ifneq (nocheck,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	./Setup test
endif
Setup:
	ghc --make Setup

=== debian/watch ===
version=3
http://hackage.haskell.org/cgi-bin/hackage-scripts/package/darcs /packages/archive/darcs/[^/]*/darcs-(.*).tar.gz

## darcs 2.4.4

=== debian/changelog ===
darcs (2.4.4-3) unstable; urgency=low

  [ Joachim Breitner ]
  * Undo some cruft I addeded by accident to the source

  [ Trent W. Buck ]
  * Backport upstream libcurl fix for x86-64 (Closes: #600759).

 -- Trent W. Buck <trentbuck@gmail.com>  Fri, 12 Nov 2010 14:01:05 +1100

darcs (2.4.4-2.1) unstable; urgency=low

  [ Trent W. Buck ]
  * Install upstream's NEWS file (Closes: #589368).

  [ Stefano Rivera ]
  * Non-maintainer upload.
  * Disable external.sh test (requires network connectivity). Closes:
    #596606

 -- Stefano Rivera <stefano@rivera.za.net>  Thu, 16 Sep 2010 09:35:56 +0200

darcs (2.4.4-2) unstable; urgency=low

  * Blindly apply Joachim's HPPA workaround (Closes: #588222).

 -- Trent W. Buck <trentbuck@gmail.com>  Sun, 11 Jul 2010 16:19:26 +1000

darcs (2.4.4-1) unstable; urgency=low

  * New upstream release

 -- Trent W. Buck <trentbuck@gmail.com>  Wed, 26 May 2010 12:39:53 +1000

darcs (2.4.3-1) unstable; urgency=low

  * New upstream release
  * Rebase build dependencies.
  * Rebase patches.
  * Remove conflict on hlint.

 -- Trent W. Buck <trentbuck@gmail.com>  Mon, 10 May 2010 18:01:27 +1000

darcs (2.4.1-1) unstable; urgency=low

  * New upstream release
  * Temporary build-conflict on hlint (Closes: #579270).
  * Rebase build dependencies.
  * Rebase patches.

 -- Trent W. Buck <trentbuck@gmail.com>  Sat, 08 May 2010 20:53:12 +1000

darcs (2.4-1) unstable; urgency=low

  [ Marco Túlio Gontijo e Silva ]
  * debian/watch: Use format that works for --download-current-version.
  * debian/watch: Add .tar.gz to downloaded filename.
  * debian/control: Use Vcs-Browser: field.
  * debian/control: Bump Standards-Version: to 3.8.4, no changes needed.
  * debian/control: Remove uneeded Build-Depends: in libghc6-utf8-
    string-dev.

  [ Trent W. Buck ]
  * New upstream release.
  * Avoid mmap 0.5 (see http://bugs.darcs.net/issue1753).
  * Refresh or delete quilt patches.
  * Replace in-house no-libHSDarcs with upstream patch184.
  * Clean up README.Source.

 -- Trent W. Buck <trentbuck@gmail.com>  Sun, 21 Mar 2010 02:32:08 +1100

=== debian/control ===
--- 
+++ 
@@ -7,24 +7,24 @@
 DM-Upload-Allowed: yes
 # I don't specify lower bounds that can't be violated in Debian.
 # Note that ghc6 (>= 6.10.4) excludes Lenny libs built against 6.8.
-Build-Depends: debhelper (>= 7.0.50), quilt, ghc6 (>= 6.10.4),
+Build-Depends: debhelper (>= 7.0.50), ghc6 (>= 6.10.4),
  bash-completion (>= 1:1.1),
  libcurl4-gnutls-dev (>= 7.19.1),
- libghc6-hashed-storage-dev,
+ libghc6-hashed-storage-dev (>= 0.4.13~),
  libghc6-haskeline-dev,
  libghc6-html-dev,
  libghc6-http-dev,
- libghc6-mmap-dev,
+ libghc6-mmap0.4-dev,
  libghc6-mtl-dev,
  libghc6-network-dev,
  libghc6-parsec2-dev,
  libghc6-regex-compat-dev,
  libghc6-terminfo-dev,
- libghc6-utf8-string-dev,
  libghc6-zlib-dev
 Homepage: http://darcs.net/
-Vcs-Darcs: http://repos.mornfall.net/darcs/debian
-Standards-Version: 3.8.3
+Vcs-Darcs: http://darcs.debian.org/pkg-haskell/darcs
+Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/darcs
+Standards-Version: 3.8.4
 
 Package: darcs
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 override_dh_auto_clean: Setup
 	./Setup clean
 override_dh_auto_configure: Setup
-	./Setup configure --prefix=/usr -fcurl-pipelining --constraint=parsec\<3 $(if $(wildcard /usr/lib/*/libHSrts_thr.a),,-f-threaded)
+	./Setup configure --prefix=/usr -fcurl-pipelining --constraint=parsec\<3 $(if $(wildcard /usr/lib/*/libHSrts_thr.a),,-f-threaded) -f-library --ghc-options="+RTS -V0 -RTS"
 override_dh_auto_install: Setup
 	./Setup copy --destdir=$(CURDIR)/debian/darcs
 override_dh_auto_test: Setup
@@ -18,3 +18,13 @@
 endif
 Setup:
 	ghc --make Setup
+override_dh_installchangelogs:	# http://bugs.debian.org/589368
+	dh_installchangelogs -- NEWS
+
+# After checking out the debian/ repo, untar the associated upstream
+# tarball over the top of it.
+P = $(shell dpkg-parsechangelog | sed -rn 's/^Source: //p')
+V = $(shell dpkg-parsechangelog | sed -rn 's/^Version: (\d+:)?(.*)-.*/\2/p')
+get-orig-source:
+	uscan --download-current-version
+	tar -C .. --xform 's|^[^/]*|$(notdir $(CURDIR))|' -xf ../$P_$V.orig.tar.gz

## darcs 2.5.2

=== debian/changelog ===
darcs (2.5.2-5) unstable; urgency=low

  * Remove test-issue1763-use-tmpdir: failed to work
  * Disable test-issue1763 on the advice of upstream. Something wicked is
    going on in the test harness which causes it to fail, even though the
    functionality is fine. Another option seems to be to run the test suite
    using zsh.

 -- Iain Lane <laney@debian.org>  Mon, 10 Oct 2011 09:15:39 +0100

darcs (2.5.2-4) unstable; urgency=low

  * debian/patches/test-issue1763-use-tmpdir: Use a temporary working dir
    instead of running test in the tests/ directory. Avoids test failure and
    resulting FTBFS.
  * Only run tests once 

 -- Iain Lane <laney@debian.org>  Sun, 09 Oct 2011 17:39:59 +0100

darcs (2.5.2-3) unstable; urgency=low

  [ Erik de Castro Lopo ]
  * debian/control:
    - Standards version 3.9.2 (no changes)
    - Fix uploaders line

  [ Iain Lane ]
  * Adopt for the DHG with Erik as uploader (Closes: #624162)
  * Bump required versions on regex-{compat,posix} to those in Debian. Patch
    cherry-picked from upstream. (Closes: #642710)
  * Explicitly use /bin/bash for tests; works around failure on buildds with
    dash (Closes: #632494)
  * Convert to CDBS with hlibrary.mk and build darcs library packages 
  * Update d/copyright 

 -- Iain Lane <laney@debian.org>  Sun, 25 Sep 2011 11:38:51 +0100

darcs (2.5.2-2) unstable; urgency=low

  * Build against parsec3.

 -- Joachim Breitner <nomeata@debian.org>  Mon, 13 Jun 2011 15:10:13 +0200

darcs (2.5.2-1) unstable; urgency=low

  [ Marco Silva ]
  * Use ghc instead of ghc6

  [ Trent W. Buck ]
  * New upstream release (Closes: 494160)
  * Avoid hlint FTBFS by disabling hlint test (Closes: #597052)

 -- Trent W. Buck <trentbuck@gmail.com>  Tue, 26 Apr 2011 13:37:20 +1000

=== debian/control ===
Source: darcs
Section: haskell
Priority: optional
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Erik de Castro Lopo <merikd@mega-nerd.com>,
 Petr Rockai <mornfall@debian.org>
DM-Upload-Allowed: yes
# I don't specify lower bounds that can't be violated in Debian.
# Note that ghc (>= 6.10.4) excludes Lenny libs built against 6.8.
Build-Depends: cdbs, debhelper (>= 7), haskell-devscripts (>= 0.8),
 ghc,
 ghc-prof,
 bash-completion (>= 1:1.1),
 libcurl4-gnutls-dev (>= 7.19.1),
 libghc-filepath-dev,
 libghc-hashed-storage-dev,
 libghc-haskeline-dev,
 libghc-html-dev,
 libghc-http-dev,
 libghc-mmap-dev,
 libghc-mtl-dev,
 libghc-network-dev,
 libghc-parsec3-dev,
 libghc-regex-compat-dev,
 libghc-tar-dev,
 libghc-terminfo-dev,
 libghc-text-dev,
 libghc-unix-dev,
 libghc-zlib-dev,
 libghc-filepath-prof,
 libghc-hashed-storage-prof,
 libghc-haskeline-prof,
 libghc-html-prof,
 libghc-http-prof,
 libghc-mmap-prof,
 libghc-mtl-prof,
 libghc-network-prof,
 libghc-parsec3-prof,
 libghc-regex-compat-prof,
 libghc-tar-prof,
 libghc-terminfo-prof,
 libghc-text-prof,
 libghc-unix-prof,
 libghc-zlib-prof
Build-Depends-Indep:
 ghc-doc,
 libghc-filepath-doc,
 libghc-hashed-storage-doc,
 libghc-haskeline-doc,
 libghc-html-doc,
 libghc-http-doc,
 libghc-mmap-doc,
 libghc-mtl-doc,
 libghc-network-doc,
 libghc-parsec3-doc,
 libghc-regex-compat-doc,
 libghc-tar-doc,
 libghc-terminfo-doc,
 libghc-text-doc,
 libghc-unix-doc,
 libghc-zlib-doc
Build-Conflicts:
 libghc-parsec2-dev,
Homepage: http://darcs.net/
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/darcs
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/darcs
Standards-Version: 3.9.2

Package: darcs
Section: vcs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: default-mta | mail-transport-agent
Description: distributed, interactive, smart revision control system
 Darcs is a free, open source revision control system.  It is:
 .
  * Distributed: Every user has access to the full command set,
    removing boundaries between server and client or committer and
    non-committers.
  * Interactive: Darcs is easy to learn and efficient to use because
    it asks you questions in response to simple commands, giving you
    choices in your work flow. You can choose to record one change in
    a file, while ignoring another. As you update from upstream, you
    can review each patch name, even the full "diff" for interesting
    patches.
  * Smart: Originally developed by physicist David Roundy, darcs is
    based on a unique algebra of patches. This smartness lets you
    respond to changing demands in ways that would otherwise not be
    possible.

Package: libghc-darcs-dev
Architecture: any
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: distributed, interactive, smart revision control system; library
 This package provides a library for the Haskell programming language.
 See http://www.haskell.org/ for more information on Haskell.
 .
 This library provides an interface to the Darcs distributed revision control
 system.

Package: libghc-darcs-prof
Architecture: any
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: distributed, interactive, smart revision control system; profiling libraries
 This package provides a library for the Haskell programming language
 compiled for profiling.
 See http://www.haskell.org/ for more information on Haskell.
 .
 This library provides an interface to the Darcs distributed revision control
 system.

Package: libghc-darcs-doc
Section: doc
Architecture: all
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: distributed, interactive, smart revision control system; documentation
 This package provides the documentation for a library for the Haskell
 programming language.  See http://www.haskell.org/ for more information on
 Haskell.
 .
 This library provides an interface to the Darcs distributed revision control
 system.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/hlibrary.mk

DEB_INSTALL_CHANGELOGS_ALL=NEWS

DEB_SETUP_GHC_CONFIGURE_ARGS=-fcurl-pipelining $(if $(wildcard /usr/lib/*/libHSrts_thr.a),,-f-threaded) -flibrary --ghc-options="+RTS -V0 -RTS"

common-binary-post-install-arch::
ifneq (nocheck,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
#	$(DEB_SETUP_BIN_NAME) --builddir=dist-ghc test
	runhaskell Setup.lhs --builddir=dist-ghc test
endif

binary-post-install/darcs::
	dh_bash-completion

# After checking out the debian/ repo, untar the associated upstream
# tarball over the top of it.
P = $(shell dpkg-parsechangelog | sed -rn 's/^Source: //p')
V = $(shell dpkg-parsechangelog | sed -rn 's/^Version: (\d+:)?(.*)-.*/\2/p')
get-orig-source:
	uscan --download-current-version
	tar -C .. --xform 's|^[^/]*|$(notdir $(CURDIR))|' -xf ../$P_$V.orig.tar.gz

## darcs 2.7.99.1

=== debian/changelog ===
darcs (2.7.99.1-1) experimental; urgency=low

  * New upstream RC for 2.8
  * debian/watch: Track beta versions
  * debian/control: Update BDs for this release 
  * Add -fforce-char8-encoding flag for proper filename encoding support on
    GHC 7.4 
  * Enable some flags
    + Build with curl support  
    + Use terminfo for better console output
    + Compile with mmap support
  * Refresh use-sensible-editor patch and drop all others which are no longer
    required.
  * Remove BDs on packages provided by GHC (unix, filepath) 
  * Set DEB_CABAL_PACKAGE since the cabal file is called darcs-beta but we
    want to build darcs. 
  * Don't run test suite during build (possibly resurrect this later) 

 -- Iain Lane <laney@debian.org>  Mon, 02 Apr 2012 19:11:22 +0100

darcs (2.5.2-6) unstable; urgency=low

  * Use hlibrary.setup instead of runhaskell

 -- Iain Lane <laney@debian.org>  Mon, 10 Oct 2011 11:29:14 +0100

=== debian/control ===
--- 
+++ 
@@ -5,29 +5,37 @@
 Uploaders: Erik de Castro Lopo <merikd@mega-nerd.com>,
  Petr Rockai <mornfall@debian.org>
 DM-Upload-Allowed: yes
-# I don't specify lower bounds that can't be violated in Debian.
-# Note that ghc (>= 6.10.4) excludes Lenny libs built against 6.8.
 Build-Depends: cdbs, debhelper (>= 7), haskell-devscripts (>= 0.8),
- ghc,
+ ghc (>= 7.4),
  ghc-prof,
  bash-completion (>= 1:1.1),
  libcurl4-gnutls-dev (>= 7.19.1),
- libghc-filepath-dev,
- libghc-hashed-storage-dev,
- libghc-haskeline-dev,
- libghc-html-dev,
+ libghc-hashed-storage-dev (>= 0.5.6),
+ libghc-hashed-storage-dev (<< 0.6),
+ libghc-haskeline-dev (>= 0.6.3),
+ libghc-haskeline-dev (<< 0.7),
+ libghc-html-dev (>= 1.0),
+ libghc-html-dev (<< 1.1),
  libghc-http-dev,
- libghc-mmap-dev,
- libghc-mtl-dev,
+ libghc-mmap-dev (>= 0.5),
+ libghc-mmap-dev (<< 0.6),
+ libghc-mtl-dev (>= 1.0),
+ libghc-mtl-dev (<< 2.1),
  libghc-network-dev,
- libghc-parsec3-dev,
- libghc-regex-compat-dev,
- libghc-tar-dev,
- libghc-terminfo-dev,
- libghc-text-dev,
- libghc-unix-dev,
- libghc-zlib-dev,
- libghc-filepath-prof,
+ libghc-parsec3-dev (>= 2.0),
+ libghc-parsec3-dev (<< 3.2),
+ libghc-random-dev (>= 1.0),
+ libghc-random-dev (<< 1.1),
+ libghc-regex-compat-dev (>= 0.95.1),
+ libghc-tar-dev (>= 0.3),
+ libghc-tar-dev (<< 0.4),
+ libghc-terminfo-dev (>= 0.3),
+ libghc-terminfo-dev (<< 0.4),
+ libghc-text-dev (>= 0.11.0.6),
+ libghc-text-dev (<< 0.12.0.0),
+ libghc-vector-dev (>= 0.7),
+ libghc-zlib-dev (>= 0.5.1.0),
+ libghc-zlib-dev (<< 0.6.0.0),
  libghc-hashed-storage-prof,
  libghc-haskeline-prof,
  libghc-html-prof,
@@ -36,15 +44,15 @@
  libghc-mtl-prof,
  libghc-network-prof,
  libghc-parsec3-prof,
+ libghc-random-prof,
  libghc-regex-compat-prof,
  libghc-tar-prof,
  libghc-terminfo-prof,
  libghc-text-prof,
- libghc-unix-prof,
+ libghc-vector-prof,
  libghc-zlib-prof
 Build-Depends-Indep:
  ghc-doc,
- libghc-filepath-doc,
  libghc-hashed-storage-doc,
  libghc-haskeline-doc,
  libghc-html-doc,
@@ -53,11 +61,12 @@
  libghc-mtl-doc,
  libghc-network-doc,
  libghc-parsec3-doc,
+ libghc-random-doc,
  libghc-regex-compat-doc,
  libghc-tar-doc,
  libghc-terminfo-doc,
  libghc-text-doc,
- libghc-unix-doc,
+ libghc-vector-doc,
  libghc-zlib-doc
 Build-Conflicts:
  libghc-parsec2-dev,

=== debian/watch ===
version=3
opts="downloadurlmangle=s|archive/([\w\d_-]+)/([\d\.]+)/|archive/$1/$2/$1-$2.tar.gz|,filenamemangle=s|/$|.tar.gz|" \
    http://hackage.haskell.org/packages/archive/darcs-beta \
    ([\d\.]*\d)/

## darcs 2.8.1

=== debian/changelog ===
darcs (2.8.1-1) unstable; urgency=low

  * New upstream release 

 -- Joachim Breitner <nomeata@debian.org>  Tue, 15 May 2012 23:31:06 +0200

darcs (2.8.0-1) unstable; urgency=low

  * New upstream release
    + No longer FTBFS (Closes: #668884)
    + Too many changes to enumerate; see /usr/share/doc/darcs/NEWS.gz for
      complete list.
  * Standards-Version → 3.9.3, no changes required 

 -- Iain Lane <laney@debian.org>  Sat, 28 Apr 2012 00:41:30 +0100

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
  libghc-mmap-dev (>= 0.5),
  libghc-mmap-dev (<< 0.6),
  libghc-mtl-dev (>= 1.0),
- libghc-mtl-dev (<< 2.1),
+ libghc-mtl-dev (<< 2.2),
  libghc-network-dev,
  libghc-parsec3-dev (>= 2.0),
  libghc-parsec3-dev (<< 3.2),
@@ -73,7 +73,7 @@
 Homepage: http://darcs.net/
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/darcs
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/darcs
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 
 Package: darcs
 Section: vcs

## darcs 2.8.4

=== debian/changelog ===
darcs (2.8.4-3build1) saucy; urgency=low

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 29 May 2013 18:43:31 +0100

darcs (2.8.4-3) unstable; urgency=low

  * Move Haskell blurb to the end of the description, reduces the impact
    of #708703

 -- Joachim Breitner <nomeata@debian.org>  Sun, 26 May 2013 09:20:14 +0200

darcs (2.8.4-2) unstable; urgency=low

  * Enable compat level 9
  * Use substvars for Haskell description blurbs

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:49:42 +0200

darcs (2.8.4-1) experimental; urgency=low

  * Depend on haskell-devscripts 0.8.13 to ensure this packages is built
    against experimental
  * Bump standards version, no change
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Fri, 08 Feb 2013 21:40:14 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Erik de Castro Lopo <merikd@mega-nerd.com>,
  Petr Rockai <mornfall@debian.org>
 DM-Upload-Allowed: yes
-Build-Depends: cdbs, debhelper (>= 7), haskell-devscripts (>= 0.8),
+Build-Depends: cdbs, debhelper (>= 9), haskell-devscripts (>= 0.8.15),
  ghc (>= 7.4),
  ghc-prof,
  bash-completion (>= 1:1.1),
@@ -13,27 +13,31 @@
  libghc-hashed-storage-dev (>= 0.5.6),
  libghc-hashed-storage-dev (<< 0.6),
  libghc-haskeline-dev (>= 0.6.3),
- libghc-haskeline-dev (<< 0.7),
+ libghc-haskeline-dev (<< 0.8),
  libghc-html-dev (>= 1.0),
  libghc-html-dev (<< 1.1),
- libghc-http-dev,
+ libghc-http-dev (>= 1:4000.0.8),
+ libghc-http-dev (<< 1:4000.3),
  libghc-mmap-dev (>= 0.5),
  libghc-mmap-dev (<< 0.6),
  libghc-mtl-dev (>= 1.0),
  libghc-mtl-dev (<< 2.2),
- libghc-network-dev,
+ libghc-network-dev (>= 2.2),
+ libghc-network-dev (<< 2.5),
  libghc-parsec3-dev (>= 2.0),
  libghc-parsec3-dev (<< 3.2),
  libghc-random-dev (>= 1.0),
  libghc-random-dev (<< 1.1),
  libghc-regex-compat-dev (>= 0.95.1),
  libghc-tar-dev (>= 0.3),
- libghc-tar-dev (<< 0.4),
+ libghc-tar-dev (<< 0.5),
  libghc-terminfo-dev (>= 0.3),
  libghc-terminfo-dev (<< 0.4),
  libghc-text-dev (>= 0.11.0.6),
  libghc-text-dev (<< 0.12.0.0),
  libghc-vector-dev (>= 0.7),
+ libghc-utf8-string-dev (>= 0.3.6),
+ libghc-utf8-string-dev (<< 0.4),
  libghc-zlib-dev (>= 0.5.1.0),
  libghc-zlib-dev (<< 0.6.0.0),
  libghc-hashed-storage-prof,
@@ -50,6 +54,7 @@
  libghc-terminfo-prof,
  libghc-text-prof,
  libghc-vector-prof,
+ libghc-utf8-string-prof,
  libghc-zlib-prof
 Build-Depends-Indep:
  ghc-doc,
@@ -73,7 +78,7 @@
 Homepage: http://darcs.net/
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/darcs
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/darcs
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 
 Package: darcs
 Section: vcs
@@ -103,12 +108,11 @@
 Recommends: ${haskell:Recommends}
 Suggests: ${haskell:Suggests}
 Provides: ${haskell:Provides}
-Description: distributed, interactive, smart revision control system; library
- This package provides a library for the Haskell programming language.
- See http://www.haskell.org/ for more information on Haskell.
- .
+Description: distributed, interactive, smart revision control system${haskell:ShortBlurb}
  This library provides an interface to the Darcs distributed revision control
  system.
+ .
+ ${haskell:Blurb}
 
 Package: libghc-darcs-prof
 Architecture: any
@@ -116,13 +120,11 @@
 Recommends: ${haskell:Recommends}
 Suggests: ${haskell:Suggests}
 Provides: ${haskell:Provides}
-Description: distributed, interactive, smart revision control system; profiling libraries
- This package provides a library for the Haskell programming language
- compiled for profiling.
- See http://www.haskell.org/ for more information on Haskell.
- .
+Description: distributed, interactive, smart revision control system${haskell:ShortBlurb}
  This library provides an interface to the Darcs distributed revision control
  system.
+ .
+ ${haskell:Blurb}
 
 Package: libghc-darcs-doc
 Section: doc
@@ -130,10 +132,8 @@
 Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Recommends: ${haskell:Recommends}
 Suggests: ${haskell:Suggests}
-Description: distributed, interactive, smart revision control system; documentation
- This package provides the documentation for a library for the Haskell
- programming language.  See http://www.haskell.org/ for more information on
- Haskell.
- .
+Description: distributed, interactive, smart revision control system${haskell:ShortBlurb}
  This library provides an interface to the Darcs distributed revision control
  system.
+ .
+ ${haskell:Blurb}

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk

DEB_CABAL_PACKAGE=darcs
include /usr/share/cdbs/1/class/hlibrary.mk

DEB_INSTALL_CHANGELOGS_ALL=NEWS

DEB_SETUP_GHC_CONFIGURE_ARGS=$(if $(wildcard /usr/lib/*/libHSrts_thr.a),,-f-threaded) -flibrary -fforce-char8-encoding -fcurl -fterminfo -fmmap --ghc-options="+RTS -V0 -RTS"

binary-post-install/darcs::
	dh_bash-completion

# After checking out the debian/ repo, untar the associated upstream
# tarball over the top of it.
P = $(shell dpkg-parsechangelog | sed -rn 's/^Source: //p')
V = $(shell dpkg-parsechangelog | sed -rn 's/^Version: (\d+:)?(.*)-.*/\2/p')
get-orig-source:
	uscan --download-current-version
	tar -C .. --xform 's|^[^/]*|$(notdir $(CURDIR))|' -xf ../$P_$V.orig.tar.gz

=== debian/watch ===
version=3
opts="downloadurlmangle=s|archive/([\w\d_-]+)/([\d\.]+)/|archive/$1/$2/$1-$2.tar.gz|,filenamemangle=s|/$|.tar.gz|" \
    http://hackage.haskell.org/packages/archive/darcs \
    ([\d\.]*\d)/

## darcs 2.8.5

=== debian/changelog ===
darcs (2.8.5-2) unstable; urgency=low

  * Add copyright information for src/Crypt/*, Closes: bug#775588

 -- Christopher Reichert <creichert07@gmail.com>  Wed, 28 Jan 2015 22:00:00 -0600

darcs (2.8.5-1) unstable; urgency=low

  * Adjust watch file to new hackage layout
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sun, 07 Sep 2014 17:53:14 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Erik de Castro Lopo <merikd@mega-nerd.com>,
  Petr Rockai <mornfall@debian.org>
-DM-Upload-Allowed: yes
 Build-Depends: cdbs, debhelper (>= 9), haskell-devscripts (>= 0.8.15),
  ghc (>= 7.4),
  ghc-prof,
@@ -21,9 +20,9 @@
  libghc-mmap-dev (>= 0.5),
  libghc-mmap-dev (<< 0.6),
  libghc-mtl-dev (>= 1.0),
- libghc-mtl-dev (<< 2.2),
+ libghc-mtl-dev (<< 2.3),
  libghc-network-dev (>= 2.2),
- libghc-network-dev (<< 2.5),
+ libghc-network-dev (<< 2.6),
  libghc-parsec3-dev (>= 2.0),
  libghc-parsec3-dev (<< 3.2),
  libghc-random-dev (>= 1.0),
@@ -34,7 +33,7 @@
  libghc-terminfo-dev (>= 0.3),
  libghc-terminfo-dev (<< 0.4),
  libghc-text-dev (>= 0.11.0.6),
- libghc-text-dev (<< 0.12.0.0),
+ libghc-text-dev (<< 1.2),
  libghc-vector-dev (>= 0.7),
  libghc-utf8-string-dev (>= 0.3.6),
  libghc-utf8-string-dev (<< 0.4),

## darcs 2.10.1

=== debian/changelog ===
darcs (2.10.1-4) unstable; urgency=medium

  [ Helmut Grohne ]
  * Mark darcs as Multi-Arch:foreign.

  [ Clint Adams ]
  * Tweak RTS lib path in threading test.

 -- Clint Adams <clint@debian.org>  Wed, 12 Aug 2015 16:50:52 +0200

darcs (2.10.1-3) unstable; urgency=medium

  * Try to improve powerpc patch 

 -- Joachim Breitner <nomeata@debian.org>  Wed, 15 Jul 2015 20:05:57 +0200

darcs (2.10.1-2) unstable; urgency=medium

  * New patch, trying to fix buiding on powerpc 

 -- Joachim Breitner <nomeata@debian.org>  Wed, 15 Jul 2015 19:36:04 +0200

darcs (2.10.1-1) unstable; urgency=medium

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Wed, 15 Jul 2015 19:11:47 +0200

darcs (2.10.0-1) unstable; urgency=medium

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Mon, 25 May 2015 12:12:13 +0200

darcs (2.8.5-3) unstable; urgency=medium

  * Depend on haskell-devscripts 0.9, found in experimental
  * Do not depend on terminfo and haskeline, which now come with GHC
  * Do not build libghc-darcs-*, nobody uses them

 -- Joachim Breitner <nomeata@debian.org>  Thu, 07 May 2015 10:41:44 +0200

=== debian/control ===
Source: darcs
Section: haskell
Priority: optional
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Erik de Castro Lopo <merikd@mega-nerd.com>,
 Petr Rockai <mornfall@debian.org>
Build-Depends: cdbs, debhelper (>= 9), haskell-devscripts (>= 0.9),
 ghc (>= 7.4),
 bash-completion (>= 1:1.1),
 libcurl4-gnutls-dev (>= 7.19.1),
 pkg-config,
 libghc-regex-compat-tdfa-dev (>= 0.95.1),
 libghc-regex-compat-tdfa-dev (<< 0.96),
 libghc-regex-applicative-dev (>= 0.2),
 libghc-regex-applicative-dev (<< 0.4),
 libghc-mtl-dev (>= 2.1),
 libghc-mtl-dev (<< 2.3),
 libghc-transformers-compat-dev (>= 0.4),
 libghc-transformers-compat-dev (<< 0.5),
 libghc-parsec3-dev (>= 3.1),
 libghc-parsec3-dev (<< 3.2),
 libghc-html-dev (>= 1.0),
 libghc-html-dev (<< 1.1),
 libghc-cryptohash-dev (>= 0.4),
 libghc-cryptohash-dev (<< 0.12),
 libghc-base16-bytestring-dev (>= 0.1),
 libghc-base16-bytestring-dev (<< 0.2),
 libghc-utf8-string-dev (>= 0.3.6),
 libghc-utf8-string-dev (<< 1.1),
 libghc-vector-dev (>= 0.7),
 libghc-vector-dev (<< 0.11),
 libghc-tar-dev (>= 0.4),
 libghc-tar-dev (<< 0.5),
 libghc-data-ordlist-dev (>= 0.4),
 libghc-data-ordlist-dev (<< 0.5),
 libghc-attoparsec-dev (>= 0.11),
 libghc-attoparsec-dev (<< 0.14),
 libghc-zip-archive-dev (>= 0.2.3),
 libghc-zip-archive-dev (<< 0.3),
 libghc-text-dev (>= 0.11.2.0),
 libghc-text-dev (<< 1.3),
 libghc-random-dev (>= 1.0),
 libghc-random-dev (<< 1.2),
 libghc-hashable-dev (>= 1.0),
 libghc-hashable-dev (<< 1.3),
 libghc-mmap-dev (>= 0.5),
 libghc-mmap-dev (<< 0.6),
 libghc-zlib-dev (>= 0.5.3.0),
 libghc-zlib-dev (<< 0.7.0.0),
 libghc-dataenc-dev (>= 0.11),
 libghc-dataenc-dev (<< 0.15),
 libghc-unix-compat-dev (>= 0.1.2),
 libghc-unix-compat-dev (<< 0.5),
Homepage: http://darcs.net/
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/darcs
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/darcs
Standards-Version: 3.9.6

Package: darcs
Section: vcs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: default-mta | mail-transport-agent
Multi-Arch: foreign
Description: distributed, interactive, smart revision control system
 Darcs is a free, open source revision control system.  It is:
 .
  * Distributed: Every user has access to the full command set,
    removing boundaries between server and client or committer and
    non-committers.
  * Interactive: Darcs is easy to learn and efficient to use because
    it asks you questions in response to simple commands, giving you
    choices in your work flow. You can choose to record one change in
    a file, while ignoring another. As you update from upstream, you
    can review each patch name, even the full "diff" for interesting
    patches.
  * Smart: Originally developed by physicist David Roundy, darcs is
    based on a unique algebra of patches. This smartness lets you
    respond to changing demands in ways that would otherwise not be
    possible.

## darcs 2.10.2

=== debian/changelog ===
darcs (2.10.2-1) unstable; urgency=medium

  * New upstream release
  * Patch to allow vector 0.11 (Closes: 811066)

 -- Joachim Breitner <nomeata@debian.org>  Fri, 15 Jan 2016 14:56:01 +0100

darcs (2.10.1-7) unstable; urgency=medium

  [ Joachim Breitner ]
  * Do not recommend an MTA (Closes: 670767)

  [ Clint Adams ]
  * Switch Vcs-Git/Vcs-Browser headers to new location.

 -- Clint Adams <clint@debian.org>  Thu, 03 Dec 2015 14:54:01 -0500

darcs (2.10.1-6) experimental; urgency=medium

  * Add lintian override for spurious rpaths

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Aug 2015 15:03:50 +0200

darcs (2.10.1-5) experimental; urgency=medium

  * Depend on haskell-devscripts >= 0.10 to ensure that this package
    builds against GHC in experimental

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Aug 2015 10:26:52 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: darcs
+Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Uploaders: Erik de Castro Lopo <merikd@mega-nerd.com>, Petr Rockai <mornfall@debian.org>
+Priority: optional
 Section: haskell
-Priority: optional
-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
-Uploaders: Erik de Castro Lopo <merikd@mega-nerd.com>,
- Petr Rockai <mornfall@debian.org>
-Build-Depends: cdbs, debhelper (>= 9), haskell-devscripts (>= 0.9),
+Build-Depends: cdbs,
+ debhelper (>= 9),
+ haskell-devscripts (>= 0.10),
  ghc (>= 7.4),
  bash-completion (>= 1:1.1),
  libcurl4-gnutls-dev (>= 7.19.1),
@@ -28,7 +29,7 @@
  libghc-utf8-string-dev (>= 0.3.6),
  libghc-utf8-string-dev (<< 1.1),
  libghc-vector-dev (>= 0.7),
- libghc-vector-dev (<< 0.11),
+ libghc-vector-dev (<< 0.12),
  libghc-tar-dev (>= 0.4),
  libghc-tar-dev (<< 0.5),
  libghc-data-ordlist-dev (>= 0.4),
@@ -47,21 +48,21 @@
  libghc-mmap-dev (<< 0.6),
  libghc-zlib-dev (>= 0.5.3.0),
  libghc-zlib-dev (<< 0.7.0.0),
- libghc-dataenc-dev (>= 0.11),
- libghc-dataenc-dev (<< 0.15),
+ libghc-sandi-dev (>= 0.2),
+ libghc-sandi-dev (<< 0.4),
  libghc-unix-compat-dev (>= 0.1.2),
  libghc-unix-compat-dev (<< 0.5),
+Standards-Version: 3.9.6
 Homepage: http://darcs.net/
-Vcs-Darcs: http://darcs.debian.org/pkg-haskell/darcs
-Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/darcs
-Standards-Version: 3.9.6
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
+Vcs-Git: git://git.debian.org/git/pkg-haskell/DHG_packages.git
 
 Package: darcs
+Architecture: any
+Multi-Arch: foreign
 Section: vcs
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: default-mta | mail-transport-agent
-Multi-Arch: foreign
+Depends: ${shlibs:Depends},
+ ${misc:Depends},
 Description: distributed, interactive, smart revision control system
  Darcs is a free, open source revision control system.  It is:
  .

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/hlibrary.mk

DEB_CABAL_PACKAGE=darcs

DEB_INSTALL_CHANGELOGS_ALL=NEWS

DEB_SETUP_GHC_CONFIGURE_ARGS=$(if $(wildcard /usr/lib/ghc/*/libHSrts_thr.a),,-f-threaded) -fpkgconfig -fcurl -f-http -fterminfo --ghc-options="+RTS -V0 -RTS"

binary-post-install/darcs::
	dh_bash-completion

build/darcs :: build-ghc-stamp

install/darcs :: build/$(CABAL_PACKAGE)

## darcs 2.12.0

=== debian/changelog ===
darcs (2.12.0-1) unstable; urgency=medium

  [ Dmitry Bogatov ]
  * Use secure (https) uri in Vcs-Git field in 'debian/control'
  * Bump standards version to 3.9.8 (no changes needed)
  * Update dep5 `debian/copyright' formatting

  [ Joachim Breitner ]
  * New upstream release

  [ Sean Whitton ]
  * Refresh patches.
  * Drop obsolete allow-vector-0.11 patch.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 31 May 2016 17:46:51 +0900

=== debian/control ===
--- 
+++ 
@@ -10,18 +10,12 @@
  bash-completion (>= 1:1.1),
  libcurl4-gnutls-dev (>= 7.19.1),
  pkg-config,
- libghc-regex-compat-tdfa-dev (>= 0.95.1),
- libghc-regex-compat-tdfa-dev (<< 0.96),
- libghc-regex-applicative-dev (>= 0.2),
- libghc-regex-applicative-dev (<< 0.4),
- libghc-mtl-dev (>= 2.1),
- libghc-mtl-dev (<< 2.3),
- libghc-transformers-compat-dev (>= 0.4),
- libghc-transformers-compat-dev (<< 0.5),
- libghc-parsec3-dev (>= 3.1),
- libghc-parsec3-dev (<< 3.2),
- libghc-html-dev (>= 1.0),
- libghc-html-dev (<< 1.1),
+ libghc-async-dev (>= 2.0.1.4),
+ libghc-async-dev (<< 2.2),
+ libghc-attoparsec-dev (>= 0.11),
+ libghc-attoparsec-dev (<< 0.14),
+ libghc-base16-bytestring-dev (>= 0.1),
+ libghc-base16-bytestring-dev (<< 0.2),
  libghc-cryptohash-dev (>= 0.4),
  libghc-cryptohash-dev (<< 0.12),
  libghc-base16-bytestring-dev (>= 0.1),
@@ -31,31 +25,53 @@
  libghc-vector-dev (>= 0.7),
  libghc-vector-dev (<< 0.12),
  libghc-tar-dev (>= 0.4),
- libghc-tar-dev (<< 0.5),
+ libghc-tar-dev (<< 0.6),
  libghc-data-ordlist-dev (>= 0.4),
  libghc-data-ordlist-dev (<< 0.5),
- libghc-attoparsec-dev (>= 0.11),
- libghc-attoparsec-dev (<< 0.14),
- libghc-zip-archive-dev (>= 0.2.3),
- libghc-zip-archive-dev (<< 0.3),
- libghc-text-dev (>= 0.11.2.0),
- libghc-text-dev (<< 1.3),
- libghc-random-dev (>= 1.0),
- libghc-random-dev (<< 1.2),
- libghc-hashable-dev (>= 1.0),
+ libghc-fgl-dev (>= 5.5.0.1),
+ libghc-fgl-dev (<< 5.6),
+ libghc-graphviz-dev (>= 2999.17.0.1),
+ libghc-graphviz-dev (<< 2999.19),
+ libghc-hashable-dev (>= 1.1.2.5),
  libghc-hashable-dev (<< 1.3),
+ libghc-html-dev (>= 1.0.1.2),
+ libghc-html-dev (<< 1.1),
  libghc-mmap-dev (>= 0.5),
  libghc-mmap-dev (<< 0.6),
- libghc-zlib-dev (>= 0.5.3.0),
- libghc-zlib-dev (<< 0.7.0.0),
+ libghc-mtl-dev (>= 2.1.2),
+ libghc-mtl-dev (<< 2.3),
+ libghc-old-time-dev (>= 1.1),
+ libghc-old-time-dev (<< 1.2),
+ libghc-parsec3-dev (>= 3.1),
+ libghc-parsec3-dev (<< 3.2),
+ libghc-random-dev (>= 1.0.1.1),
+ libghc-random-dev (<< 1.2),
+ libghc-regex-applicative-dev (>= 0.2),
+ libghc-regex-applicative-dev (<< 0.4),
+ libghc-regex-compat-tdfa-dev (>= 0.95.1),
+ libghc-regex-compat-tdfa-dev (<< 0.96),
  libghc-sandi-dev (>= 0.2),
  libghc-sandi-dev (<< 0.4),
+ libghc-tar-dev (>= 0.4),
+ libghc-tar-dev (<< 0.6),
+ libghc-text-dev (>= 1.2.1.3),
+ libghc-text-dev (<< 1.3),
+ libghc-transformers-compat-dev (>= 0.4),
+ libghc-transformers-compat-dev (<< 0.6),
  libghc-unix-compat-dev (>= 0.1.2),
  libghc-unix-compat-dev (<< 0.5),
-Standards-Version: 3.9.6
+ libghc-utf8-string-dev (>= 0.3.6),
+ libghc-utf8-string-dev (<< 1.1),
+ libghc-vector-dev (>= 0.10.0.1),
+ libghc-vector-dev (<< 0.12),
+ libghc-zip-archive-dev (>= 0.2.3),
+ libghc-zip-archive-dev (<< 0.4),
+ libghc-zlib-dev (>= 0.5.4.1),
+ libghc-zlib-dev (<< 0.7.0.0),
+Standards-Version: 3.9.8
 Homepage: http://darcs.net/
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
-Vcs-Git: git://git.debian.org/git/pkg-haskell/DHG_packages.git
+Vcs-Git: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git
 
 Package: darcs
 Architecture: any

## darcs 2.12.4

=== debian/changelog ===
darcs (2.12.4-2) unstable; urgency=medium

  * Upload to unstable as part of GHC 8 transition.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 18:32:14 -0400

darcs (2.12.4-1) experimental; urgency=medium

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Fri, 07 Oct 2016 19:24:56 -0400

=== debian/control ===
Source: darcs
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders:
 Erik de Castro Lopo <merikd@mega-nerd.com>,
 Petr Rockai <mornfall@debian.org>,
Priority: optional
Section: haskell
Build-Depends:
 bash-completion (>= 1:1.1),
 cdbs,
 debhelper (>= 10),
 ghc (>= 8),
 ghc (>= 8),
 ghc-prof,
 haskell-devscripts (>= 0.13),
 libcurl4-gnutls-dev (>= 7.19.1),
 libghc-async-dev (<< 2.2),
 libghc-async-dev (>= 2.0.1.4),
 libghc-attoparsec-dev (<< 0.14),
 libghc-attoparsec-dev (>= 0.11),
 libghc-base16-bytestring-dev (<< 0.2),
 libghc-base16-bytestring-dev (>= 0.1),
 libghc-cryptohash-dev (<< 0.12),
 libghc-cryptohash-dev (>= 0.4),
 libghc-data-ordlist-dev (<< 0.5),
 libghc-data-ordlist-dev (>= 0.4),
 libghc-fgl-dev (<< 5.6),
 libghc-fgl-dev (>= 5.5.0.1),
 libghc-graphviz-dev (<< 2999.19),
 libghc-graphviz-dev (>= 2999.17.0.1),
 libghc-hashable-dev (<< 1.3),
 libghc-hashable-dev (>= 1.1.2.5),
 libghc-html-dev (<< 1.1),
 libghc-html-dev (>= 1.0.1.2),
 libghc-http-dev (<< 1:4000.4),
 libghc-http-dev (>= 1:4000.2.8),
 libghc-http-prof,
 libghc-mmap-dev (<< 0.6),
 libghc-mmap-dev (>= 0.5),
 libghc-mtl-dev (<< 2.3),
 libghc-mtl-dev (>= 2.1.2),
 libghc-mtl-prof,
 libghc-network-dev (<< 2.7),
 libghc-network-dev (>= 2.6),
 libghc-network-prof,
 libghc-network-uri-dev (<< 2.7),
 libghc-network-uri-dev (>= 2.6),
 libghc-network-uri-prof,
 libghc-old-time-dev (<< 1.2),
 libghc-old-time-dev (>= 1.1),
 libghc-parsec3-dev (<< 3.2),
 libghc-parsec3-dev (>= 3.1),
 libghc-random-dev (<< 1.2),
 libghc-random-dev (>= 1.0.1.1),
 libghc-regex-applicative-dev (<< 0.4),
 libghc-regex-applicative-dev (>= 0.2),
 libghc-regex-compat-tdfa-dev (<< 0.96),
 libghc-regex-compat-tdfa-dev (>= 0.95.1),
 libghc-regex-compat-tdfa-prof,
 libghc-sandi-dev (<< 0.5),
 libghc-sandi-dev (>= 0.4),
 libghc-sandi-prof,
 libghc-tar-dev (<< 0.6),
 libghc-tar-dev (>= 0.4),
 libghc-text-dev (<< 1.3),
 libghc-text-dev (>= 1.2.1.3),
 libghc-transformers-compat-dev (<< 0.6),
 libghc-transformers-compat-dev (>= 0.4),
 libghc-unix-compat-dev (<< 0.5),
 libghc-unix-compat-dev (>= 0.1.2),
 libghc-utf8-string-dev (<< 1.1),
 libghc-utf8-string-dev (>= 0.3.6),
 libghc-vector-dev (<< 0.12),
 libghc-vector-dev (>= 0.10.0.1),
 libghc-vector-dev (>= 0.7),
 libghc-zip-archive-dev (<< 0.4),
 libghc-zip-archive-dev (>= 0.2.3),
 libghc-zlib-dev (<< 0.7.0.0),
 libghc-zlib-dev (>= 0.5.4.1),
 libghc-zlib-prof,
 pkg-config,
Build-Depends-Indep:
 ghc-doc,
 libghc-async-doc,
 libghc-attoparsec-doc,
 libghc-base16-bytestring-doc,
 libghc-cryptohash-doc,
 libghc-data-ordlist-doc,
 libghc-fgl-doc,
 libghc-graphviz-doc,
 libghc-hashable-doc,
 libghc-html-doc,
 libghc-http-doc,
 libghc-mmap-doc,
 libghc-mtl-doc,
 libghc-network-doc,
 libghc-network-uri-doc,
 libghc-old-time-doc,
 libghc-parsec3-doc,
 libghc-random-doc,
 libghc-regex-applicative-doc,
 libghc-regex-compat-tdfa-doc,
 libghc-sandi-doc,
 libghc-tar-doc,
 libghc-text-doc,
 libghc-transformers-compat-doc,
 libghc-unix-compat-doc,
 libghc-utf8-string-doc,
 libghc-vector-doc,
 libghc-zip-archive-doc,
 libghc-zlib-doc,
Standards-Version: 3.9.8
Homepage: http://darcs.net/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/darcs
Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git

Package: darcs
Architecture: any
Multi-Arch: foreign
Section: vcs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: distributed, interactive, smart revision control system
 Darcs is a free, open source revision control system.  It is:
 .
  * Distributed: Every user has access to the full command set,
    removing boundaries between server and client or committer and
    non-committers.
  * Interactive: Darcs is easy to learn and efficient to use because
    it asks you questions in response to simple commands, giving you
    choices in your work flow. You can choose to record one change in
    a file, while ignoring another. As you update from upstream, you
    can review each patch name, even the full "diff" for interesting
    patches.
  * Smart: Originally developed by physicist David Roundy, darcs is
    based on a unique algebra of patches. This smartness lets you
    respond to changing demands in ways that would otherwise not be
    possible.
